using System;
using System.Diagnostics.CodeAnalysis;
using System.Runtime.InteropServices;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Interoperability
{
    public class Rule1400
    {
        public override string ToString()
        {
            return Violate();
        }

        // このメソッドは CA1400 に違反しています。
        [SuppressMessage("Microsoft.Design", "CA1060:MovePInvokesToNativeMethodsClass")]
        [DllImport("kernel32.dll")]
        private static extern string Violate();
    }
}
